--[[

	Atlas World Events, a World of Warcraft map browser for world events
	Copyright 2011 Arith Hsu

	This file is a plugin of Atlas.

	"Atlas World Events" is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Atlas is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Atlas; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

--]]
local BZ = Atlas_GetLocaleLibBabble("LibBabble-SubZone-3.0");
local AL = LibStub("AceLocale-3.0"):GetLocale("Atlas_WorldEvents");

local BLUE = "|cff6666ff";
local GREY = "|cff999999";
local GREN = "|cff66cc33";
local YELL = "|cffcccc00";
local _RED = "|cffcc6666";
local ORNG = "|cffcc9933";
local PURP = "|cff9900ff";
local WHIT = "|cffffffff";
local CYAN = "|cff008888";
local INVIS = "|c00000000";
local INDENT = "   ";

local myCategory = AL["World Events Maps"];

local myData = {
	Lunar_Azeroth = {
		ZoneName = { AL["Lunar Festival"].." - "..BZ["Eastern Kingdoms"] };
		{ WHIT.." 1) "..AL["Elder Hammershout"]	.." - "..BLUE..BZ["Stormwind City"]..", "..BZ["Elwynn Forest"] };
		{ GREY..INDENT..AL["(Outside the city gate.)"] };
		{ WHIT.." 2) "..AL["Elder Stormbrow"]	.." - "..GREY..BZ["Goldshire"]..", "..BZ["Elwynn Forest"] };
		{ WHIT.." 3) "..AL["Elder Skychaser"]	.." - "..GREY..BZ["Sentinel Hill"]..", "..BZ["Westfall"] };
		{ WHIT.." 4) "..AL["Elder Winterhoof"]	.." - "..GREY..BZ["Booty Bay"]..", "..BZ["The Cape of Stranglethorn"] };
		{ GREY..INDENT..AL["(On the roof of the bank)"] };
		{ WHIT.." 5) "..AL["Elder Starglade"]	.." - "..GREY..BZ["Zul'Gurub"]..", "..BZ["Northern Stranglethorn"] };
		{ GREY..INDENT..AL["(Outside the gate)"] };
		{ WHIT.." 6) "..AL["Elder Bellowrage"]	.." - "..GREY..BZ["The Dark Portal"]..", "..BZ["Blasted Lands"] };
		{ WHIT.." 7) "..AL["Elder Starsong"]	.." - "..ORNG..BZ["The Temple of Atal'Hakkar"]..", "..BZ["Swamp of Sorrows"] };
		{ WHIT.." 8) "..AL["Elder Rumblerock"]	.." - "..GREY..BZ["Dreadmaul Rock"]..", "..BZ["Burning Steppes"] };
		{ WHIT.." 9) "..AL["Elder Dawnstrider"]	.." - "..GREY..BZ["Flame Crest"]..", "..BZ["Burning Steppes"] };
		{ WHIT.."10) "..AL["Elder Ironband"]	.." - "..GREY..BZ["Blackchar Cave"]..", "..BZ["Searing Gorge"] };
		{ WHIT.."11) "..AL["Elder Morndeep"]	.." - "..ORNG..BZ["Ring of the Law"]..", "..BZ["Blackrock Depths"] };
		{ WHIT..INDENT..AL["Elder Stonefort"]	.." - "..ORNG..BZ["Hordemar City"]..", "..BZ["Blackrock Spire"].." ("..AL["Lower"]..")" };
		{ WHIT.."12) "..AL["Elder Goldwell"] 	.." - "..GREY..BZ["Kharanos"]..", "..BZ["Dun Morogh"] };
		{ WHIT.."13) "..AL["Elder Bronzebeard"]	.." - "..BLUE..BZ["The Mystic Ward"]..", "..BZ["Ironforge"]..", "..BZ["Dun Morogh"] };
		{ WHIT.."14) "..AL["Elder Silvervein"]	.." - "..GREY..BZ["Thelsamar"]..", "..BZ["Loch Modan"] };
		{ WHIT.."15) "..AL["Elder Highpeak"]	.." - "..GREY..BZ["The Creeping Ruin"]..", "..BZ["The Hinterlands"] };
		{ WHIT.."16) "..AL["Elder Snowcrown"]	.." - "..GREY..BZ["Light's Hope Chapel"]..", "..BZ["Eastern Plaguelands"] };
		{ WHIT.."17) "..AL["Elder Windrun"]	.." - "..GREY..BZ["Crown Guard Tower"]..", "..BZ["Eastern Plaguelands"] };
		{ WHIT.."18) "..AL["Elder Farwhisper"]	.." - "..ORNG..BZ["Festival Lane"]..", "..BZ["Stratholme"].." - "..BZ["Crusaders' Square"] };
		{ WHIT.."19) "..AL["Elder Meadowrun"]	.." - "..GREY..BZ["The Weeping Cave"]..", "..BZ["Western Plaguelands"] };
		{ WHIT.."20) "..AL["Elder Moonstrike"]	.." - "..GREY..BZ["Scholomance"]..", "..BZ["Western Plaguelands"] };
		{ GREY..INDENT..AL["(The roof of Scholomance, outside the dungeon.)"] };
		{ WHIT.."21) "..AL["Elder Graveborn"]	.." - "..GREY..BZ["Brill"]..", "..BZ["Tirisfal Glades"] };
		{ WHIT.."22) "..AL["Elder Darkcore"]	.." - "..BLUE..BZ["Undercity"]..", "..BZ["Ruins of Lordaeron"]..", "..BZ["Tirisfal Glades"] };
	};
};


Atlas_RegisterPlugin("Atlas_WorldEvents", myCategory, myData);
